\name{Opt.sig.chisq.test}
\alias{Opt.sig.chisq.test}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Optimal significance level calculation for chi-squared tests
}
\description{
Computes the optimal significance level for chi-squared tests
}
\usage{
Opt.sig.chisq.test(w = NULL, N = NULL, df = NULL, p = 0.5, k = 1)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{w}{Effect size}
  \item{N}{Total number of observations}
  \item{df}{degree of freedom (depends on the chosen test)}
 \item{p}{ prior probability for H0, default is p = 0.5}
  \item{k}{ relative loss from Type I and II errors, k = L2/L1, default is k = 1}
}
\details{
Refer to Kim and Choi (2017) for the details of k and p
}
\value{
\item{alpha.opt }{Optimal level of significance}
\item{beta.opt }{Type II error probability at the optimal level}
}
\references{
Kim and Choi, 2017, Choosing the Level of Significance: A Decision-theoretic Approach: https://papers.ssrn.com/sol3/papers.cfm?abstract_id=2652773

Cohen, J. (1988). Statistical power analysis for the behavioral sciences (2nd ed.). Hillsdale,NJ: Lawrence Erlbaum.

Stephane Champely (2017). pwr: Basic Functions for Power Analysis. R package version 1.2-1.
  https://CRAN.R-project.org/package=pwr
}
\author{
Jae H. Kim (using a function from the pwr package)
}
\note{
Also refer to the manual for the pwr package
}

\seealso{
Kim and Choi, 2017, Choosing the Level of Significance: A Decision-theoretic Approach
}
\examples{
Opt.sig.chisq.test(w=0.289,df=3,N=100)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ htest }% use one of  RShowDoc("KEYWORDS")
